Skip to content

Update organization API keys​

PATCH
/api/v1/organization/api-keys

Update the organization's third-party API keys for Anthropic, DeepSeek, or Google. Requires admin privileges and BYOK to be enabled.

Authorizations​

HTTPBearer
Type
HTTP (bearer)

Request Body​

application/json
JSON
{
"anthropic_api_key": "string",
"deepseek_api_key": "string",
"google_api_key": "string"
}

Responses​

Successful Response

application/json
JSON
{
"id": "string",
"name": "string",
"slug": "string",
"settings": {
},
"address": "string",
"phone_number": "string",
"tax_id": "string",
"billing_email": "string",
"byok_enabled": false,
"has_anthropic_key": false,
"has_deepseek_key": false,
"has_google_key": false,
"enforce_2fa": false,
"created_at": "string"
}

Playground​

Server
Authorization
Body

Samples​

Powered by VitePress OpenAPI

XC AI Content Automation